Bug 491350

Summary: NFS random crash
Product: [Fedora] Fedora Reporter: Raph BIOLLUZ <cougar__74>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 9CC: steved
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-11 13:58:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Raph BIOLLUZ 2009-03-20 11:12:26 EDT
Description of problem:
A part of NFS is crashing randomly on my Fedora 9 server. this machine runs LDAP for my users to connect their accounts.
Sometimes we can't open documents, clients are freezing. Applications already opened are still working, new ones go on disk waiting in system watch.

in /var/log/messages I saw this :
rpc.statd[1789]: segfault at 7 ip 0035456e sp bfa40f80 error 4 in libc-2.8.so[24b000+163000]

I managed to make the system work again by restarting nfs and nfslock services
[root@ia74-tournette ~]# service nfslock restart
Arrêt du verrouillage de NFS :                             [  OK  ]
Arrêt de NFS statd :                                       [ÉCHOUÉ]
Démarrage de NFS statd :                                   [  OK  ]

NFS statd was dead.



Version-Release number of selected component (if applicable):
nfs-utils-lib-1.1.1-5.fc9.i386
nfs-utils-1.1.2-11.fc9.i386

How reproducible:
nfs/nfslock crashes randomly

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2009-06-09 23:37:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Steve Dickson 2009-06-11 10:50:55 EDT
Are seeing this problem with later releases of nfs-utils?
Comment 3 Raph BIOLLUZ 2009-06-11 11:11:13 EDT
No, it seems to me this bug has been fixed in Fedora 10, i don't have this problem anymore, only some lockd crashes, but I can restart nfs without crashing the entire server.